
  

  
  

  
  
  
  
    


@layer base {
  
  body, :host {
    /* Color */
    --white: #ffffff;
--grey-50: #FAFAFA;
--grey-100: #F5F5F5;
--grey-200: #E5E5E5;
--grey-300: #D4D4D4;
--grey-400: #A3A3A3;
--grey-500: #737373;
--grey-600: #525252;
--grey-700: #404040;
--grey-800: #262626;
--grey-900: #171717;
--black: #000000;
--red-50: #FEF2F2;
--red-100: #FEE2E2;
--red-200: #FECACA;
--red-300: #FCA5A5;
--red-400: #F87171;
--red-500: #EF4444;
--red-600: #DC2626;
--red-700: #B91C1C;
--red-800: #991B1B;
--red-900: #7F1D1D;
--blue-50: #EFF6FF;
--blue-100: #DBEAFE;
--blue-200: #BFDBFE;
--blue-300: #93C5FD;
--blue-400: #60A5FA;
--blue-500: #3B82F6;
--blue-WF: #0f80e8;
--blue-600: #2563EB;
--blue-700: #1D4ED8;
--blue-800: #1E40AF;
--blue-900: #1E3A8A;
--simple-json-viewer-key-color: #000000;
--simple-json-viewer-null-color: var(--grey-500, #737373);
--simple-json-viewer-hover-bg: var(--grey-200, #E5E5E5);
--simple-json-viewer-number-color: var(--blue-600, #2563EB);
--simple-json-viewer-string-color: var(--green-600, #059669);
--simple-json-viewer-hover-group-bg: #ffffff;
    /* Fonts */
    --font-sans: 'Inter',sans-serif;
--font-nunito: 'Nunito',sans-serif;

    /* Font size */
    --font-size-xxs: 0.625rem;
--font-size-xs: 0.75rem;
--font-size-sm: 0.875rem;
--font-size-base: 1rem;
--font-size-lg: 1.125rem;
--font-size-xl: 1.25rem;
--font-size-2xl: 1.5rem;
--font-size-3xl: 1.875rem;
--font-size-4xl: 2.25rem;
--font-size-5xl: 3rem;
    /* Font weight */
    --font-weight-thin: 100;
--font-weight-lighter: 200;
--font-weight-light: 300;
--font-weight-regular: 400;
--font-weight-normal: 500;
--font-weight-bold: 700;
--font-weight-semi-bold: 600;
--font-weight-bolder: 800;
--font-weight-black: 900;
    /* Shadows */
    --shadow-sm:  0 1px 2px 0 rgba(0, 0, 0, 0.25);
--shadow-base:  0 1px 3px 0 rgba(0, 0, 0, 0.25), 0 1px 2px 0 rgba(0, 0, 0, 0.25);
--shadow-md:  0 4px 6px -1px rgba(0, 0, 0, 0.25), 0 2px 4px -1px rgba(0, 0, 0, 0.25);
--shadow-lg:  0 10px 15px -3px rgba(0, 0, 0, 0.25), 0 4px 6px -2px rgba(0, 0, 0, 0.25);
--shadow-xl: 0 20px 25px -5px rgba(0, 0, 0, 0.25), 0 10px 10px -5px rgba(0, 0, 0, 0.25);
--shadow-2xl:  0 25px 50px -12px rgba(0, 0, 0, 0.25);
    /* Border radius */
    
    /* Spacing */
    
    /* Z-index */
    
  }
  @keyframes animation-spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
  @keyframes animation-fade-in {
    from {
      opacity:0;
    }
    to {
      opacity:1;
    }
  }
  @keyframes animation-fade-out {
    from {
      opacity:1;
    }
    to {
      opacity:0;
    }
  }
}


    .bmTQus {
      height:Calc( 100lvh + 50px );
      background:linear-gradient(to bottom, white, #fafafa);
      align-items:center;
      font-family:'Nunito';
      padding-left:10px;
      padding-right:10px;
      background-size:cover;
      justify-content:start;
    }

    .euZdyN {
      color:transparent;
      font-size:calc(1vw + 2em);
      background:linear-gradient(to right, orange, red);
      text-align:center;
      font-family:inherit;
      font-weight:900;
      line-height:2.5rem;
      background-clip:text;
    }

    .dOdwrR {
      top:-5px;
      left:1px;
      position:absolute;
    }

    .cPbGdU {
      color:transparent;
      width:100%;
      height:3rem;
      display:flex;
      font-size:2.6rem;
      max-width:650px;
      background:linear-gradient(to right, orange, red);
      align-items:center;
      font-family:inherit;
      font-weight:900;
      line-height:2.5rem;
      flex-direction:column;
      background-clip:text;
      justify-content:center;
    }

    .brlIVP {
      align-items:center;
      justify-content:space-between;
      background-color:var(--transparent-back, #1717176b);
    }

    .empnqR {
      width:100%;
      height:calc(100% - 40px);
      max-height:500px;
      padding-top:20px;
      padding-left:20px;
      padding-right:10px;
      padding-bottom:20px;
    }

    .bufRnz {
      width:100%;
      height:20px;
      overflow-y:hidden;
    }

    .bdodQP {
      width:100vw;
      height:100vh;
      z-index:1000;
      position:fixed;
      transition:opacity 100ms linear 100ms;
      align-items:center;
      justify-content:start;
      background-color:#1717172e;
    }

    .eXnKhj {
      color:inherit;
      width:100%;
      height:100%;
      display:inline-block;
      max-height:400px;
      object-fit:;
      overflow-x:hidden;
      overflow-y:auto;
    }

    .KiSZm {
      top:-3px;
    }

    .cAXMGR {
      top:30px;
      width:800px;
      resize:both;
      z-index:999;
      position:relative;
      max-width:96%;
      min-width:320px;
      box-shadow:0px 0px 20px 0px var(--transparent-back, #1717176b);
      max-height:Calc(100% - 60px);
      min-height:320px;
      overflow-x:hidden;
      overflow-y:hidden;
      transition:opacity 100ms linear 100ms;
      align-items:start;
      border-radius:8px;
      outline-color:var(--grey-300, #D4D4D4);
      outline-style:solid;
      outline-width:1px;
      flex-direction:column;
      justify-content:start;
      background-color:#ffffff;
    }

    .vFtzV {
      top:7px;
      right:7px;
      width:30px;
      cursor:pointer;
      height:30px;
      z-index:1000;
      position:absolute;
      align-items:center;
      padding-top:5px;
      border-radius:90px;
      justify-content:center;
    }

    .vFtzV:hover {
      background-color:var(--grey-300, #D4D4D4);
    }

    .zldoc {
      color:inherit;
      display:inline-block;
      padding-left:20px;
      padding-right:20px;
    }

    .cQFdNK {
      width:100%;
      display:flex;
      outline:none;
      align-items:stretch;
      border-radius:6px;
      flex-direction:column;
      justify-content:center;
    }

    .cQFdNK:hover {
      color:var(--simple-json-viewer-container-bg, #4a4a4a);
    }

    .cQFdNK:focus-visible {
      outline-color:var(--blue-600, #2563EB);
      outline-style:solid;
      outline-width:1px;
    }

    .dotyRk {
      gap:4px;
      width:calc(100% - 16px);
      display:flex;
      margin-left:16px;
      flex-direction:column;
    }

    .fDHVGI {
      color:var(--simple-json-viewer-null-color, #e5e5e5);
      overflow:hidden;;
      font-size:var(--simple-json-viewer-font-size);
      font-weight:400;
      white-space:nowrap;
      text-overflow:ellipsis;
    }

    .dRySwT {
      color:var(--simple-json-viewer-key-color, #a3a3a3);
      font-size:var(--simple-json-viewer-font-size);
      font-weight:400;
    }

    .fbkzuT {
      display:flex;
      overflow:hidden;
      flex-grow:1;
      flex-shrink:1;
    }

    .dCXcAW {
      width:100%;
      min-width:100%;
      border-radius:6px;
    }

    .dCXcAW:hover {
      background-color:var(--simple-json-viewer-hover-group-bg, #404040);
    }

    .eOMOXa {
      color:var(--grey-400);
      width:100%;
      height:32px;
      outline:none;
      font-size:13px;
      align-items:center;
      font-weight:var(--font-weight-regular);
      padding-top:4px;
      padding-left:8px;
      border-radius:6px;
      padding-right:8px;
      padding-bottom:4px;
      justify-content:center;
      background-color:var(--grey-800);
    }

    .eOMOXa:hover {
      color:var(--grey-200, #E5E5E5);
      background-color:var(--grey-600);
    }

    .eOMOXa:focus-visible {
      border-color:var(--blue-200);
      border-style:solid;
      border-width:1px;
    }

    .fDXcuH {
      color:var(--grey-400, #A3A3A3);
      width:24px;
      cursor:pointer;
      height:32px;
      display:flex;
      outline:none;
      align-items:center;
      flex-direction:row;
      justify-content:end;
    }

    .fDXcuH:focus-visible {
      color:var(--grey-200, #E5E5E5);
    }

    .fDXcuH:hover {
      color:var(--grey-200, #E5E5E5);
    }

    .dXWSrw {
      color:var(--simple-json-viewer-boolean-color, #3B82F6);
      overflow:hidden;;
      font-size:var(--simple-json-viewer-font-size);
      font-weight:400;
      white-space:nowrap;
      text-overflow:ellipsis;
    }

    .KuWLQ {
      gap:10px;
      color:inherit;
      cursor:default;
      display:flex;
      flex-grow:1;
      min-width:calc(100% - 32px);
      align-items:center;
      flex-shrink:1;
      padding-left:8px;
      flex-direction:row;
      justify-content:start;
    }

    .fluIRM {
      color:var(--simple-json-viewer-string-color, #e5e5e5);
      display:inline-block;
      overflow:hidden;
      font-size:var(--simple-json-viewer-font-size);
      flex-shrink:1;
      font-weight:400;
      white-space:nowrap;
      text-overflow:ellipsis;
    }

    .bqyjXB {
      color:var(--grey-400, #A3A3A3);
      right:0px;
      width:32px;
      height:32px;
      outline:none;
      padding:4px;
      position:absolute;
      align-items:center;
      font-weight:var(--font-weight-regular);
      justify-content:center;
    }

    .bqyjXB:hover {
      color:var(--grey-200, #E5E5E5);
      cursor:pointer;
      border-top-right-radius:6px;
      border-bottom-right-radius:6px;
    }

    .bqyjXB:focus-visible {
      color:var(--grey-200, #E5E5E5);
    }

    .cPaHul {
      color:inherit;
      display:flex;
      flex-grow:1;
      min-height:32px;
      align-items:center;
      flex-shrink:1;
      border-radius:6px;
      flex-direction:row;
      justify-content:space-between;
    }

    .cPaHul:hover {
      color:inherit;
      border-radius:6px;
      background-color:var(--simple-json-viewer-hover-bg, #e5e5e5);
    }

    .byFxdo {
      color:var(--grey-500, #737373);
      transition:transform 300ms;
    }

    .byFxdo.expanded {
      transform:rotate(90deg);
    }

    .WLjhx {
      color:var(--simple-json-viewer-number-color, #e5e5e5);
      overflow:hidden;
      font-size:var(--simple-json-viewer-font-size);
      font-weight:600;
      white-space:nowrap;
      text-overflow:ellipsis;
    }

    .ckSVhn {
      width:100%;
      height:Calc(100% - 50px );
      position:relative;
      overflow-x:hidden;
      overflow-y:scroll;
      align-items:start;
      padding-top:3px;
      padding-left:3px;
      padding-right:3px;
      padding-bottom:10px;
      justify-content:start;
    }

    .eZugBx {
      width:100%;
      height:50px;
      position:relative;
      align-items:start;
      justify-content:center;
      background-color:var(--grey-200, #E5E5E5);
      border-bottom-color:var(--grey-300, #D4D4D4);
      border-bottom-style:solid;
      border-bottom-width:1px;
      border-top-left-radius:8px;
      border-top-right-radius:8px;
    }

    .cNlsQu {
      z-index:101;
      position:relative;
      transition:opacity 0.2s linear;
      align-items:center;
      justify-content:center;
    }

    .cRqNSi {
      gap:.3rem;
      height:4.5rem;
      align-items:center;
      padding-top:0.7rem;
      flex-direction:row;
      justify-content:center;
    }

    .brLTHz {
      width:100%;
      bottom:0px;
      height:40px;
      position:fixed;
      align-items:center;
      justify-content:start;
    }

    .bRvbHv {
      gap:0.5em;
      color:var(--flutterby-color, inherit);
      width:fit-content;
      font-size:inherit;
      align-items:center;
      font-weight:var(--font-weight-light);
      flex-direction:row;
      justify-content:start;
    }

    .bRvbHv:hover {
      text-decoration-line: underline;
      text-decoration-thickness:1px;
    }

    .cjBNuy {
      :;
    }

    .fooIxt {
      height:1.3rem;
    }

    .bvWaQF {
      object-fit:;
      transition:all 200ms ease 0ms normal;
      align-items:center;
      padding-top:.3rem;
      padding-left:.3rem;
      border-radius:5px;
      padding-right:.3rem;
      flex-direction:column;
      padding-bottom:.3rem;
      justify-content:center;
    }

    .bvWaQF:hover {
      color:#ffffff;
      cursor:pointer;
      background-color:var(--yellow-500, #F59E0B);
    }

    .ctYOIX {
      color:var(--grey-400, #A3A3A3);
      cursor:pointer;
      display:flex;
      position:relative;
      font-size:0.8rem;
      align-items:center;
      font-family:'Nunito';
      padding-top:5px;
      padding-left:5px;
      border-radius:5px;
      padding-right:5px;
      flex-direction:row;
      padding-bottom:5px;
      justify-content:center;
      background-color:#ffffff;
    }

    .cKWBAk {
      color:inherit;
      transition:all 200ms ease 0ms normal;
      align-items:center;
      padding-top:.1rem;
      padding-left:0.3rem;
      border-radius:5px;
      padding-right:0.3rem;
      flex-direction:row;
      padding-bottom:.1rem;
      justify-content:center;
    }

    .cKWBAk:hover {
      color:var(--white, #ffffff);
      background-color:#f59e0b;
    }

    .fpRpAT {
      height:1.7rem;
    }

    .cIxkPk {
      color:inherit;
      width:1rem;
      height:1rem;
    }

    .cIxkPk:hover {
      color:#ffffff;
      cursor:pointer;
      background-color:var(--yellow-500, #F59E0B);
    }

    .LsoCP {
      color:inherit;
      align-items:center;
      padding-left:0.2rem;
      padding-right:0.2rem;
      justify-content:center;
    }

    .ekAFjs {
      width:100%;
      max-width:600px;
      align-items:center;
      justify-content:start;
    }

    .cULiHp {
      width:100%;
      align-items:center;
      padding-top:20px;
      justify-content:center;
    }

    .YjFOn {
      top:-12px;
      left:-24px;
      width:80px;
      height:44px;
      position:absolute;
      flex-direction:column;
    }

    .bVmJWC {
      right:20px;
      width:25px;
      bottom:20px;
      cursor:pointer;
      height:25px;
      z-index:3000;
      position:absolute;
      transition:all 200ms ease 0ms normal;
      align-items:center;
      border-color:var(--grey-50, #FAFAFA);
      border-style:solid;
      border-width:1px;
      border-radius:180px;
      justify-content:center;
      background-color:#ffffff29;
    }

    .bVmJWC:hover {
      background:linear-gradient(to right, orange, red);
      box-shadow:0px 0px 16px 2px #ffffff78;
    }

    .eBcDCL {
      height:40px;
    }

    .bJEdtM {
      top:0px;
      left:0px;
      width:100%;
      height:100%;
      position:absolute;
      mask-image:linear-gradient(to bottom, transparent, black);;
      border-radius:32px;
      backdrop-filter:blur(40px);
      -webkit-mask-image:linear-gradient(to bottom, transparent, black);
      -webkit-backdrop-filter:blur(40px);
    }

    .fHmXIh {
      width:min(100%, min(600px, calc(100lvh - 200px)));
      max-width:600px;
      box-shadow:1px 4px 8px 0px #00000044;
      align-items:center;
      aspect-ratio:1/1;
      border-radius:32px;
      justify-content:start;
      background-color:#ffffff;
    }

    .dsZBnR {
      gap:10px;
      align-items:end;
      font-family:inherit;
      padding-top:25px;
      padding-left:25px;
      border-radius:8px;
      outline-color:#ff7506;
      outline-style:solid;
      outline-width:1px;
      padding-right:25px;
      padding-bottom:25px;
      justify-content:end;
      background-color:#ffffff;
    }

    .ekdleh {
      top:0px;
      left:0px;
      width:var(--width);
      resize:horizontal;
      overflow:auto;
      position:absolute;
      min-width:100px;
      background-color:inherit;
    }

    .ekdleh:hover {
      background-color:var(--grey-100, #F5F5F5);
    }

    .WGYWo {
      height:4.6rem;
      align-items:center;
      flex-direction:column;
      justify-content:center;
    }

    .bQtAZq {
      cursor:pointer;
      align-items:center;
      padding-top:8px;
      padding-left:15px;
      padding-right:15px;
      flex-direction:row;
      padding-bottom:8px;
      justify-content:center;
    }

    .csNbdd {
      gap:10px;
      width:100%;
      min-width:215px;
      align-items:center;
      padding-top:20px;
      flex-direction:row;
      padding-bottom:20px;
      justify-content:center;
    }

    .fBnCaH {
      width:min(100%, min(600px, calc(100lvh - 200px)));
      height:min(100%, min(600px, calc(100lvh - 200px)));
      position:relative;
      max-width:600px;
      max-height:600px;
      align-items:center;
      aspect-ratio:1/1;
      border-radius:32px;
      --square-width:min(100%, min(600px, calc(100lvh - 200px)));;
      justify-content:center;
    }

    .dbzIJW {
      width:min(100%, min(600px, calc(100lvh - 200px)));
      position:relative;
      max-width:600px;
      align-items:center;
      font-family:inherit;
      justify-content:start;
    }

    .AAwKC {
      display:inline-block;
      padding-left:2px;
    }

    .bAiRtI {
      top:0px;
      left:0px;
      width:100%;
      height:100%;
      z-index:101;
      position:absolute;
      transition:opacity 0.2s linear;
      align-items:center;
      justify-content:center;
    }

    .fyGVor {
      width:23px;
      height:23px;
    }

    .dHdfzU {
      :;
      color:var(--grey-50, #FAFAFA);
      width:100%;
      cursor:pointer;
      height:50px;
      position:relative;
      align-items:center;
      padding-top:8px;
      padding-left:15px;
      border-radius:6px;
      outline-color:#ffffff;
      outline-style:solid;
      outline-width:1px;
      padding-right:15px;
      flex-direction:row;
      padding-bottom:8px;
      justify-content:center;
      background-color:var(--blue-600, #2563EB);
    }

    .dHdfzU:hover {
      color:#ffffff;
      box-shadow:0px 0px 8px 0px #ff7506;
      outline-color:#ff7506;
      outline-style:solid;
      outline-width:1px;
    }

    .dHdfzU.generating {
      box-shadow:0px 0px 8px 0px #ff7506;
      outline-color:#ff7506;
      outline-style:solid;
      outline-width:1px;
    }

    .fqpsbY {
      color:inherit;
      font-size:1rem;
      text-align:left;
    }

    .ePDoOm {
      width:2.8rem;
      height:2.3rem;
    }

    .cpraau {
      color:#000000;
      width:100%;
      height:118px;
      font-size:0.75rem;
      max-width:100%;
      padding-top:8px;
      border-color:#d4d4d8;
      border-style:solid;
      border-width:1px;
      padding-left:8px;
      border-radius:6px;
      padding-right:8px;
      padding-bottom:8px;
      background-color:#ffffff;
    }

    .cpraau:focus-visible {
      outline-color:var(--blue-winfakt, #0f80e8);
      outline-style:solid;
      outline-width:1px;
    }

    .cpraau:disabled {
      color:var(--grey-400, #A3A3A3);
    }